Project

General

Profile

Bug #24528

Fix iocage fetch traceback

Added by Sean Vetter over 1 year ago. Updated about 1 year ago.

Status:
Resolved
Priority:
No priority
Assignee:
Brandon Schneider
Category:
Middleware
Target version:
Seen in:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
Yes
Needs Merging:
Yes
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:

vmware

ChangeLog Required:
No

Description

Just started playing around in a vm with stuff and saw this traceback with iocage. If you run
iocage fetch and when asked for a release you leave it blank and just hit enter you get a traceback.
Would be nice if this actually threw an error instead of a traceback. Maybe I should not be messing
around with the cli version of iocage but just trying to make the tools better!

root@freenas:~ # iocage fetch
Setting up zpool [tank] for iocage usage
If you wish to change please use "iocage activate"
Creating tank/iocage
Creating tank/iocage/download
Creating tank/iocage/images
Creating tank/iocage/jails
Creating tank/iocage/log
Creating tank/iocage/releases
Creating tank/iocage/templates
[0] 9.3-RELEASE (EOL)
[1] 10.1-RELEASE (EOL)
[2] 10.2-RELEASE (EOL)
[3] 10.3-RELEASE
[4] 11.0-RELEASE

Which release do you want to fetch? (11.0)
Type EXIT to quit:
Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_fetch.py", line 135, in fetch_validate_release
self.release = releases[int(self.release)]
ValueError: invalid literal for int() with base 10: ''

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_fetch.py", line 149, in fetch_validate_release
releases.index(self.release)
ValueError: '11.0' is not in list

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/local/bin/iocage", line 10, in <module>
sys.exit(cli())
File "/usr/local/lib/python3.6/site-packages/click/core.py", line 722, in call
return self.main(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/click/core.py", line 697, in main
rv = self.invoke(ctx)
File "/usr/local/lib/python3.6/site-packages/click/core.py", line 1066, in invoke
return process_result(sub_ctx.command.invoke(sub_ctx))
File "/usr/local/lib/python3.6/site-packages/click/core.py", line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File "/usr/local/lib/python3.6/site-packages/click/core.py", line 535, in invoke
return callback(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/iocage/cli/fetch.py", line 135, in cli
eol=eol, files=files).fetch_release()
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_fetch.py", line 230, in fetch_release
self.fetch_ftp_release(eol, _list=_list)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_fetch.py", line 412, in fetch_ftp_release
self.release = self.
_fetch_validate_release__(releases)
File "/usr/local/lib/python3.6/site-packages/iocage/lib/ioc_fetch.py", line 151, in fetch_validate_release
raise RuntimeError("Please select an item!")
RuntimeError: Please select an item!

History

#1 Updated by Brandon Schneider over 1 year ago

  • Status changed from Unscreened to Resolved
  • Target version set to 11.1

This will be resolved in 0.9.9, but this isn't a traceback, it's an error message telling you to specify an item.

#2 Updated by Dru Lavigne over 1 year ago

  • Subject changed from giving blank input for release to iocage fetch causes traceback to Fix iocage fetch traceback

#3 Updated by Dru Lavigne about 1 year ago

  • Target version changed from 11.1 to 11.1-BETA1

#4 Updated by Joe Maloney about 1 year ago

  • Needs QA changed from Yes to No
  • QA Status Test Passes FreeNAS added
  • QA Status deleted (Not Tested)

Also available in: Atom PDF